apply plugin: 'com.android.library'
**APPLY_PLUGINS**

configurations.all {
    resolutionStrategy {
        force "androidx.core:core-ktx:1.9.0"
        force "androidx.lifecycle:lifecycle-common:2.6.2"
        force "androidx.lifecycle:lifecycle-runtime:2.6.2"
        force "androidx.lifecycle:lifecycle-runtime-ktx:2.6.2"
        force "androidx.lifecycle:lifecycle-process:2.6.2"
        force "androidx.compose.ui:ui:1.5.4"
        force "androidx.compose.ui:ui-graphics:1.5.4"
        force "androidx.compose.animation:animation-core:1.5.4"
        force "androidx.activity:activity:1.7.2"
        force "androidx.activity:activity-compose:1.7.2"
        force "androidx.annotation:annotation-experimental:1.3.1"
    }
}


dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

// Android Resolver Dependencies Start
    implementation 'androidx.annotation:annotation:1.2.0' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/KwaiAds/Editor/Dependencies.xml:7
    implementation 'androidx.appcompat:appcompat:1.2.0' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/KwaiAds/Editor/Dependencies.xml:5
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4' // Assets/GoogleMobileAds/Editor/GoogleMobileAdsDependencies.xml:12
    implementation 'androidx.lifecycle:lifecycle-process:2.6.2' // Assets/GoogleMobileAds/Editor/GoogleMobileAdsDependencies.xml:17
    implementation 'androidx.media3:media3-exoplayer:1.0.0-alpha01' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/KwaiAds/Editor/Dependencies.xml:4
    implementation 'androidx.recyclerview:recyclerview:1.2.1' // Assets/MaxSdk/Mediation/Mintegral/Editor/Dependencies.xml:9
    implementation 'com.android.installreferrer:installreferrer:2.1' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/AppsFlyer/Editor/AppsFlyerDependencies.xml:7
    implementation 'com.android.support:customtabs:28.+' // Assets/MaxSdk/Mediation/InMobi/Editor/Dependencies.xml:7
    implementation 'com.android.support:recyclerview-v7:28.+' // Assets/MaxSdk/Mediation/InMobi/Editor/Dependencies.xml:6
    implementation 'com.applovin.mediation:bidmachine-adapter:3.6.1.0' // Assets/MaxSdk/Mediation/BidMachine/Editor/Dependencies.xml:8
    implementation 'com.applovin.mediation:bigoads-adapter:5.8.2.0' // Assets/MaxSdk/Mediation/BigoAds/Editor/Dependencies.xml:4
    implementation 'com.applovin.mediation:bytedance-adapter:7.9.1.3.0' // Assets/MaxSdk/Mediation/ByteDance/Editor/Dependencies.xml:8
    implementation 'com.applovin.mediation:chartboost-adapter:9.11.1.0' // Assets/MaxSdk/Mediation/Chartboost/Editor/Dependencies.xml:8
    implementation 'com.applovin.mediation:facebook-adapter:[6.11.0.0]' // Assets/MaxSdk/Mediation/Facebook/Editor/Dependencies.xml:8
    implementation 'com.applovin.mediation:fyber-adapter:8.4.4.0' // Assets/MaxSdk/Mediation/Fyber/Editor/Dependencies.xml:4
    implementation 'com.applovin.mediation:google-adapter:[25.2.0.0]' // Assets/MaxSdk/Mediation/Google/Editor/Dependencies.xml:5
    implementation 'com.applovin.mediation:google-ad-manager-adapter:[25.2.0.0]' // Assets/MaxSdk/Mediation/GoogleAdManager/Editor/Dependencies.xml:5
    implementation 'com.applovin.mediation:inmobi-adapter:11.2.0.0' // Assets/MaxSdk/Mediation/InMobi/Editor/Dependencies.xml:4
    implementation 'com.applovin.mediation:ironsource-adapter:9.4.0.0.0' // Assets/MaxSdk/Mediation/IronSource/Editor/Dependencies.xml:4
    implementation 'com.applovin.mediation:mintegral-adapter:17.1.51.0' // Assets/MaxSdk/Mediation/Mintegral/Editor/Dependencies.xml:8
    implementation 'com.applovin.mediation:moloco-adapter:4.8.0.0' // Assets/MaxSdk/Mediation/Moloco/Editor/Dependencies.xml:4
    implementation 'com.applovin.mediation:unityads-adapter:4.17.0.0' // Assets/MaxSdk/Mediation/UnityAds/Editor/Dependencies.xml:4
    implementation 'com.applovin.mediation:vungle-adapter:7.7.3.0' // Assets/MaxSdk/Mediation/Vungle/Editor/Dependencies.xml:4
    implementation 'com.applovin:applovin-sdk:13.6.2' // Assets/MaxSdk/AppLovin/Editor/Dependencies.xml:4
    implementation 'com.appsflyer:af-android-sdk:6.17.6' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/AppsFlyer/Editor/AppsFlyerDependencies.xml:5
    implementation 'com.appsflyer:purchase-connector:2.2.0' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/AppsFlyer/Editor/AppsFlyerDependencies.xml:8
    implementation 'com.appsflyer:unity-wrapper:6.17.91' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/AppsFlyer/Editor/AppsFlyerDependencies.xml:6
    implementation 'com.bigossp:bigo-ads:5.3.0' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/BigoAdsAll/BigoSDK/Editor/Dependencies.xml:11
    implementation 'com.google.android.gms:play-services-ads:24.5.0' // Assets/GoogleMobileAds/Editor/GoogleMobileAdsDependencies.xml:7
    implementation 'com.google.android.gms:play-services-ads-identifier:18.0.1' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/KwaiAds/Editor/Dependencies.xml:9
    // implementation 'com.google.android.gms:play-services-base:16.1.0' // Assets/MaxSdk/Mediation/Chartboost/Editor/Dependencies.xml:9
    implementation 'com.google.android.gms:play-services-base:18.6.0' // Assets/Firebase/Editor/AppDependencies.xml:17
    implementation 'com.google.android.material:material:1.2.1' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/KwaiAds/Editor/Dependencies.xml:6
    implementation 'com.google.android.ump:user-messaging-platform:3.2.0' // Assets/GoogleMobileAds/Editor/GoogleUmpDependencies.xml:7
    implementation 'com.google.firebase:firebase-analytics:22.4.0' // Assets/Firebase/Editor/MessagingDependencies.xml:15
    implementation 'com.google.firebase:firebase-analytics-unity:12.8.0' // Assets/Firebase/Editor/AnalyticsDependencies.xml:18
    implementation 'com.google.firebase:firebase-app-unity:12.8.0' // Assets/Firebase/Editor/AppDependencies.xml:22
    implementation 'com.google.firebase:firebase-common:21.0.0' // Assets/Firebase/Editor/AppDependencies.xml:13
    implementation 'com.google.firebase:firebase-crashlytics-ndk:19.4.2' // Assets/Firebase/Editor/CrashlyticsDependencies.xml:13
    implementation 'com.google.firebase:firebase-crashlytics-unity:12.8.0' // Assets/Firebase/Editor/CrashlyticsDependencies.xml:20
    implementation 'com.google.firebase:firebase-iid:21.1.0' // Assets/Firebase/Editor/MessagingDependencies.xml:17
    implementation 'com.google.firebase:firebase-messaging:24.1.1' // Assets/Firebase/Editor/MessagingDependencies.xml:13
    implementation 'com.google.firebase:firebase-messaging-unity:12.8.0' // Assets/Firebase/Editor/MessagingDependencies.xml:24
    implementation 'com.google.flatbuffers:flatbuffers-java:1.12.0' // Assets/Firebase/Editor/MessagingDependencies.xml:19
    implementation 'com.squareup.picasso:picasso:2.71828' // Assets/MaxSdk/Mediation/InMobi/Editor/Dependencies.xml:5
    implementation 'org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.4.10' // Assets/H1PQxZETMtqhSoMBSDK/ThirdParty/KwaiAds/Editor/Dependencies.xml:8
// Android Resolver Dependencies End
**DEPS**}

// Android Resolver Exclusions Start
android {
  packagingOptions {
      exclude ('/lib/armeabi/*' + '*')
      exclude ('/lib/mips/*' + '*')
      exclude ('/lib/mips64/*' + '*')
      exclude ('/lib/x86/*' + '*')
      exclude ('/lib/x86_64/*' + '*')
  }
}
// Android Resolver Exclusions End
android {
    namespace "com.unity3d.player"
    ndkPath "**NDKPATH**"
    compileSdkVersion **APIVERSION**
    buildToolsVersion '**BUILDTOOLS**'

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }

    defaultConfig {
        minSdkVersion **MINSDKVERSION**
        targetSdkVersion **TARGETSDKVERSION**
        ndk {
            abiFilters **ABIFILTERS**
        }
        versionCode **VERSIONCODE**
        versionName '**VERSIONNAME**'
        consumerProguardFiles 'proguard-unity.txt'**USER_PROGUARD**
    }

    lintOptions {
        checkReleaseBuilds false
        abortOnError false
    }

    aaptOptions {
        noCompress = **BUILTIN_NOCOMPRESS** + unityStreamingAssets.tokenize(', ')
        ignoreAssetsPattern = "!.svn:!.git:!.ds_store:!*.scc:!CVS:!thumbs.db:!picasa.ini:!*~"
    }**PACKAGING_OPTIONS**
}
**IL_CPP_BUILD_SETUP**
**SOURCE_BUILD_SETUP**
**EXTERNAL_SOURCES**
